%define name     medit
%define version  0.9.4
%define release  %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Multiplatform GTK+2 text editor
Group:		Editors
License:	GPL
URL:		http://sourceforge.net/projects/mooedit
Source0:	http://prdownloads.sourceforge.net/ggap/%{name}-%{version}.tar.bz2
Packager:	KDulcimer <kdulcimer@gmail.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libpcre0-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	intltool

Requires:	libpython2.5

%description
Medit is a GTK text editor. Started as an editor component of GGAP
(http://ggap.sourceforge.net/), it grew up to a real full-featured
text editor.

Install python-vte if you wish to have the build-in terminal.

%prep
%setup -q

%build
%configure2_5x	--prefix=%{_prefix} \
		--with-xml \
		--without-fam

%make

%install
rm -rf %buildroot
%makeinstall_std

#Menu
desktop-file-install \
  --vendor="" \
  --remove-category="Utility" \
  --remove-category="TextEditor" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#remove conflicting files
rm -f $RPM_BUILD_ROOT%{_iconsdir}/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses

%post
%{update_desktop_database}
%update_mime_database
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/doc/%{name}/help/*
%{_datadir}/moo
%{_datadir}/pixmaps/*
#%{_libdir}/moo
%{_iconsdir}/hicolor/*/apps/medit.png
%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Mon Feb 09 2009 KDulcimer <kdulcimer@gmail.com> 0.9.4-4tinyme2008
- Fix menu entry for new TinyMe menu system

* Sat Jan 31 2009 KDulcimer <kdulcimer@gmail.com> 0.9.4-3tinyme2008
- Build against new Python

* Fri Jan 09 2009 KDulcimer <kdulcimer@gmail.com> 0.9.4-2tinyme2008
- disable FAM (causing weird issues with reporting files that it just saved to
  disk have changed)

* Sat Dec 13 2008 KDulcimer <kdulcimer@gmail.com> 0.9.4-1tinyme2008
- 0.9.4
- enable FAM
- remove TinyMe .desktop

* Wed Feb 13 2008 KDulcimer <kdulcimer@gmail.com> 0.9.3-1tinyme2008
- 0.9.3

* Thu Jan 10 2008 KDulcimer <kdulcimer@gmail.com> 0.9.2-1tinyme2008
- 0.9.2

* Sat Dec 15 2007 KDulcimer <kdulcimer@gmail.com> 0.9.0-1tinyme2008
- 0.9.0
- added TinyMe menu entry

* Sat Sep 29 2007 Texstar <texstar@gmail.com> 0.8.10-2pclos2007
- add menu
- add post scripts
- fix spec file

* Thu Aug 23 2007 KDulcimer <kdulcimer@gmail.com> 0.8.10-1pclos_tinyme2007
- update to version 0.8.10

* Wed May 09 2007 yetiman <yetiman@yeticnc.com>
- changed release to new format. Added update menus

* Sun May 06 2007 yetiman <yetiman@yeticnc.com>
- updated to version 0.8.5

* Tue Oct 17 2006 yetiman <yetiman@yeticnc.com>
- build for pclos
